Bug 15829 - ICE on Botan-1.3.13 due to -funroll-loops
ICE on Botan-1.3.13 due to -funroll-loops
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: c++
3.4.0
: P2 normal
: 3.4.1
Assigned To: Not yet assigned to anyone
: ice-on-valid-code
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-05 00:43 UTC by René Rebe
Modified: 2005-07-23 22:49 UTC (History)
1 user (show)

See Also:
Host: powerpc-rock-linux-gnu
Target: powerpc-rock-linux-gnu
Build: powerpc-rock-linux-gnu
Known to work:
Known to fail:
Last reconfirmed:


Attachments
Preprocessed source (469.69 KB, text/plain)
2004-06-05 00:45 UTC, René Rebe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description René Rebe 2004-06-05 00:43:25 UTC
Compiling vanilla Botan-1.3.13 on PowerPC with -funroll-loops does ICE g++ 
3.4.0 (x86 not affected). 
 
How to reproduce: 
g++ -funroll-loops -fpermissive base64.ii 
 
-O1 and -O2 ICE; however -O0 and -O3 builds fine ... 
 
src/base64.cpp: In member function `void 
Botan::Base64_Encoder::encode_and_send(const Botan::byte*, Botan::u32bit)': 
src/base64.cpp:43: internal compiler error: in do_SUBST, at combine.c:446 
 
Of course I'll attach the preprecessed source.
Comment 1 René Rebe 2004-06-05 00:45:27 UTC
Created attachment 6466 [details]
Preprocessed source
Comment 2 Andrew Pinski 2004-06-05 01:21:40 UTC
I think this is a dup of bug 15761.
Comment 3 Wolfgang Bangerth 2004-06-07 21:04:29 UTC
This testcase here doesn't ICE on x86, apparently only on PPC, while 
the one in PR 15761 also affects x86. The bug may or may therefore not 
be duplicates. We'd need someone with a PPC box to reduce the testcase. 
 
W. 
Comment 4 Zdenek Dvorak 2004-06-07 22:45:37 UTC
I failed to reproduce the bug from crosscompiler.
Comment 5 Wolfgang Bangerth 2004-06-07 22:46:56 UTC
OK, thanks Zdenek. Ren'e, do you have a chance to test on a bigger machine? 
 
W. 
Comment 6 Alan Modra 2004-06-10 13:09:15 UTC
3.3-hammer, 3.4.1, and 3.5.0 powerpc64-linux -m32 don't ICE for me.
Comment 7 Andrew Pinski 2004-06-10 13:14:14 UTC
Closing as fixed then as no one can reproduce it.